CVE-2017-1000116

NameCVE-2017-1000116
DescriptionMercurial prior to 4.3 did not adequately sanitize hostnames passed to ssh, leading to possible shell-injection attacks.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1072-1, DSA-3963-1
NVD severityhigh (attack range: remote)
Debian Bugs871710

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mercurial (PTS)jessie3.1.2-2+deb8u4fixed
jessie (security)3.1.2-2+deb8u6fixed
stretch (security), stretch4.0-1+deb9u1fixed
buster4.7.2-1fixed
sid4.8-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mercurialsource(unstable)4.3.1-1high871710
mercurialsourcejessie3.1.2-2+deb8u4highDSA-3963-1
mercurialsourcestretch4.0-1+deb9u1highDSA-3963-1
mercurialsourcewheezy2.2.2-4+deb7u5highDLA-1072-1

Notes

https://www.mercurial-scm.org/wiki/WhatsNew#Mercurial_4.3_.282017-08-10.29
11 patches need to be applied, the following are for 4.2:
https://www.mercurial-scm.org/repo/hg/rev/53224b1ffbc2
https://www.mercurial-scm.org/repo/hg/rev/e10745311406
https://www.mercurial-scm.org/repo/hg/rev/f93975a5ebe8
https://www.mercurial-scm.org/repo/hg/rev/f9134e96ed0f
https://www.mercurial-scm.org/repo/hg/rev/92b583e3e522
https://www.mercurial-scm.org/repo/hg/rev/08cfc4baf3ba
https://www.mercurial-scm.org/repo/hg/rev/55681baf4cf9
https://www.mercurial-scm.org/repo/hg/rev/173ecccb9ee7
https://www.mercurial-scm.org/repo/hg/rev/ca398a50ca00
https://www.mercurial-scm.org/repo/hg/rev/00a75672a9cb
https://www.mercurial-scm.org/repo/hg/rev/943c91326b23
3.7 and 4.1 backports also available at https://bitbucket.org/atlassian/mercurial/commits/branch/sec-3.7
and https://bitbucket.org/octobus/mercurial-backport/branch/backport-4.1

Search for package or bug name: Reporting problems